Package: groovy.org.codenarc.rule.basic

## [Groovy] Class MultipleUnaryOperatorsAstVisitor

- groovy.org.codenarc.rule.basic.MultipleUnaryOperatorsAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBitwiseNegationExpression(org.codehaus.groovy.ast.expr.BitwiseNegationExpression expression)`
    `` | `void` | `visitNotExpression(org.codehaus.groovy.ast.expr.NotExpression expression)`
    `` | `void` | `visitUnaryMinusExpression(org.codehaus.groovy.ast.expr.UnaryMinusExpression expression)`
    `` | `void` | `visitUnaryPlusExpression(org.codehaus.groovy.ast.expr.UnaryPlusExpression expression)`

- - ### Method Detail

    - #### @Override void visitBitwiseNegationExpression(org.codehaus.groovy.ast.expr.BitwiseNegationExpression expression)

    - #### @Override void visitNotExpression(org.codehaus.groovy.ast.expr.NotExpression expression)

    - #### @Override void visitUnaryMinusExpression(org.codehaus.groovy.ast.expr.UnaryMinusExpression expression)

    - #### @Override void visitUnaryPlusExpression(org.codehaus.groovy.ast.expr.UnaryPlusExpression expression)